Package org.gdal.gnm

## Class gnmJNI

- java.lang.Object
- - org.gdal.gnm.gnmJNI

-     public class gnmJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `gnmJNI()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `delete_GenericNetwork​(long jarg1)` |
    `static void` | `delete_Network​(long jarg1)` |
    `static void` | `delete_ProgressCallback​(long jarg1)` |
    `static void` | `delete_TermProgressCallback​(long jarg1)` |
    `static void` | `DontUseExceptions()` |
    `static int` | `GATConnectedComponents_get()` |
    `static int` | `GATDijkstraShortestPath_get()` |
    `static int` | `GATKShortestPath_get()` |
    `static int` | `GenericNetwork_ChangeAllBlockState__SWIG_0​(long jarg1, GenericNetwork jarg1_, boolean jarg2)` |
    `static int` | `GenericNetwork_ChangeAllBlockState__SWIG_1​(long jarg1, GenericNetwork jarg1_)` |
    `static int` | `GenericNetwork_ChangeBlockState​(long jarg1, GenericNetwork jarg1_, long jarg2, boolean jarg3)` |
    `static int` | `GenericNetwork_ConnectFeatures​(long jarg1, GenericNetwork jarg1_, long jarg2, long jarg3, long jarg4, double jarg5, double jarg6, int jarg7)` |
    `static int` | `GenericNetwork_ConnectPointsByLines​(long jarg1, GenericNetwork jarg1_, java.util.Vector jarg2, double jarg3, double jarg4, double jarg5, int jarg6)` |
    `static int` | `GenericNetwork_CreateRule​(long jarg1, GenericNetwork jarg1_, java.lang.String jarg2)` |
    `static int` | `GenericNetwork_DeleteAllRules​(long jarg1, GenericNetwork jarg1_)` |
    `static int` | `GenericNetwork_DeleteRule​(long jarg1, GenericNetwork jarg1_, java.lang.String jarg2)` |
    `static int` | `GenericNetwork_DisconnectFeatures​(long jarg1, GenericNetwork jarg1_, long jarg2, long jarg3, long jarg4)` |
    `static int` | `GenericNetwork_DisconnectFeaturesWithId​(long jarg1, GenericNetwork jarg1_, long jarg2)` |
    `static java.util.Vector` | `GenericNetwork_GetRules​(long jarg1, GenericNetwork jarg1_)` |
    `static int` | `GenericNetwork_ReconnectFeatures​(long jarg1, GenericNetwork jarg1_, long jarg2, long jarg3, long jarg4, double jarg5, double jarg6, int jarg7)` |
    `static long` | `GenericNetwork_SWIGUpcast​(long jarg1)` |
    `static boolean` | `GetUseExceptions()` |
    `static int` | `GNM_EDGE_DIR_BOTH_get()` |
    `static int` | `GNM_EDGE_DIR_SRCTOTGT_get()` |
    `static int` | `GNM_EDGE_DIR_TGTTOSRC_get()` |
    `static boolean` | `isAvailable()` |
    `static int` | `Network_CommitTransaction​(long jarg1, Network jarg1_)` |
    `static long` | `Network_CopyLayer__SWIG_0​(long jarg1, Network jarg1_, long jarg2, Layer jarg2_, java.lang.String jarg3, java.util.Vector jarg4)` |
    `static long` | `Network_CopyLayer__SWIG_1​(long jarg1, Network jarg1_, long jarg2, Layer jarg2_, java.lang.String jarg3)` |
    `static long` | `Network_CreateLayer__SWIG_0​(long jarg1, Network jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, int jarg4, java.util.Vector jarg5)` |
    `static long` | `Network_CreateLayer__SWIG_1​(long jarg1, Network jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_, int jarg4)` |
    `static long` | `Network_CreateLayer__SWIG_2​(long jarg1, Network jarg1_, java.lang.String jarg2, long jarg3, SpatialReference jarg3_)` |
    `static long` | `Network_CreateLayer__SWIG_3​(long jarg1, Network jarg1_, java.lang.String jarg2)` |
    `static int` | `Network_DeleteLayer​(long jarg1, Network jarg1_, int jarg2)` |
    `static int` | `Network_DisconnectAll​(long jarg1, Network jarg1_)` |
    `static long` | `Network_GetFeatureByGlobalFID​(long jarg1, Network jarg1_, long jarg2)` |
    `static java.util.Vector` | `Network_GetFileList​(long jarg1, Network jarg1_)` |
    `static long` | `Network_GetLayerByIndex​(long jarg1, Network jarg1_, int jarg2)` |
    `static long` | `Network_GetLayerByName​(long jarg1, Network jarg1_, java.lang.String jarg2)` |
    `static int` | `Network_GetLayerCount​(long jarg1, Network jarg1_)` |
    `static java.lang.String` | `Network_GetName​(long jarg1, Network jarg1_)` |
    `static long` | `Network_GetPath__SWIG_0​(long jarg1, Network jarg1_, long jarg2, long jarg3, int jarg4, java.util.Vector jarg5)` |
    `static long` | `Network_GetPath__SWIG_1​(long jarg1, Network jarg1_, long jarg2, long jarg3, int jarg4)` |
    `static java.lang.String` | `Network_GetProjection​(long jarg1, Network jarg1_)` |
    `static java.lang.String` | `Network_GetProjectionRef​(long jarg1, Network jarg1_)` |
    `static int` | `Network_GetVersion​(long jarg1, Network jarg1_)` |
    `static int` | `Network_RollbackTransaction​(long jarg1, Network jarg1_)` |
    `static int` | `Network_StartTransaction__SWIG_0​(long jarg1, Network jarg1_, int jarg2)` |
    `static int` | `Network_StartTransaction__SWIG_1​(long jarg1, Network jarg1_)` |
    `static long` | `Network_SWIGUpcast​(long jarg1)` |
    `static boolean` | `Network_TestCapability​(long jarg1, Network jarg1_, java.lang.String jarg2)` |
    `static long` | `new_ProgressCallback()` |
    `static long` | `new_TermProgressCallback()` |
    `static int` | `ProgressCallback_run​(long jarg1, ProgressCallback jarg1_, double jarg2, java.lang.String jarg3)` |
    `static int` | `TermProgressCallback_run​(long jarg1, TermProgressCallback jarg1_, double jarg2, java.lang.String jarg3)` |
    `static long` | `TermProgressCallback_SWIGUpcast​(long jarg1)` |
    `static void` | `UseExceptions()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### gnmJNI

          public gnmJNI()

  - ### Method Detail

    - #### UseExceptions

          public static final void UseExceptions()

    - #### DontUseExceptions

          public static final void DontUseExceptions()

    - #### GetUseExceptions

          public static final boolean GetUseExceptions()

    - #### isAvailable

          public static boolean isAvailable()

    - #### delete_ProgressCallback

          public static final void delete_ProgressCallback​(long jarg1)

    - #### ProgressCallback_run

          public static final int ProgressCallback_run​(long jarg1,
                                                       ProgressCallback jarg1_,
                                                       double jarg2,
                                                       java.lang.String jarg3)

    - #### new_ProgressCallback

          public static final long new_ProgressCallback()

    - #### new_TermProgressCallback

          public static final long new_TermProgressCallback()

    - #### TermProgressCallback_run

          public static final int TermProgressCallback_run​(long jarg1,
                                                           TermProgressCallback jarg1_,
                                                           double jarg2,
                                                           java.lang.String jarg3)

    - #### delete_TermProgressCallback

          public static final void delete_TermProgressCallback​(long jarg1)

    - #### GATDijkstraShortestPath_get

          public static final int GATDijkstraShortestPath_get()

    - #### GATKShortestPath_get

          public static final int GATKShortestPath_get()

    - #### GATConnectedComponents_get

          public static final int GATConnectedComponents_get()

    - #### GNM_EDGE_DIR_BOTH_get

          public static final int GNM_EDGE_DIR_BOTH_get()

    - #### GNM_EDGE_DIR_SRCTOTGT_get

          public static final int GNM_EDGE_DIR_SRCTOTGT_get()

    - #### GNM_EDGE_DIR_TGTTOSRC_get

          public static final int GNM_EDGE_DIR_TGTTOSRC_get()

    - #### delete_Network

          public static final void delete_Network​(long jarg1)

    - #### Network_GetVersion

          public static final int Network_GetVersion​(long jarg1,
                                                     Network jarg1_)

    - #### Network_GetName

          public static final java.lang.String Network_GetName​(long jarg1,
                                                               Network jarg1_)

    - #### Network_GetFeatureByGlobalFID

          public static final long Network_GetFeatureByGlobalFID​(long jarg1,
                                                                 Network jarg1_,
                                                                 long jarg2)

    - #### Network_GetPath__SWIG_0

          public static final long Network_GetPath__SWIG_0​(long jarg1,
                                                           Network jarg1_,
                                                           long jarg2,
                                                           long jarg3,
                                                           int jarg4,
                                                           java.util.Vector jarg5)

    - #### Network_GetPath__SWIG_1

          public static final long Network_GetPath__SWIG_1​(long jarg1,
                                                           Network jarg1_,
                                                           long jarg2,
                                                           long jarg3,
                                                           int jarg4)

    - #### Network_DisconnectAll

          public static final int Network_DisconnectAll​(long jarg1,
                                                        Network jarg1_)

    - #### Network_GetProjection

          public static final java.lang.String Network_GetProjection​(long jarg1,
                                                                     Network jarg1_)

    - #### Network_GetProjectionRef

          public static final java.lang.String Network_GetProjectionRef​(long jarg1,
                                                                        Network jarg1_)

    - #### Network_GetFileList

          public static final java.util.Vector Network_GetFileList​(long jarg1,
                                                                   Network jarg1_)

    - #### Network_CreateLayer__SWIG_0

          public static final long Network_CreateLayer__SWIG_0​(long jarg1,
                                                               Network jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               SpatialReference jarg3_,
                                                               int jarg4,
                                                               java.util.Vector jarg5)

    - #### Network_CreateLayer__SWIG_1

          public static final long Network_CreateLayer__SWIG_1​(long jarg1,
                                                               Network jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               SpatialReference jarg3_,
                                                               int jarg4)

    - #### Network_CreateLayer__SWIG_2

          public static final long Network_CreateLayer__SWIG_2​(long jarg1,
                                                               Network jarg1_,
                                                               java.lang.String jarg2,
                                                               long jarg3,
                                                               SpatialReference jarg3_)

    - #### Network_CreateLayer__SWIG_3

          public static final long Network_CreateLayer__SWIG_3​(long jarg1,
                                                               Network jarg1_,
                                                               java.lang.String jarg2)

    - #### Network_CopyLayer__SWIG_0

          public static final long Network_CopyLayer__SWIG_0​(long jarg1,
                                                             Network jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             java.lang.String jarg3,
                                                             java.util.Vector jarg4)

    - #### Network_CopyLayer__SWIG_1

          public static final long Network_CopyLayer__SWIG_1​(long jarg1,
                                                             Network jarg1_,
                                                             long jarg2,
                                                             Layer jarg2_,
                                                             java.lang.String jarg3)

    - #### Network_DeleteLayer

          public static final int Network_DeleteLayer​(long jarg1,
                                                      Network jarg1_,
                                                      int jarg2)

    - #### Network_GetLayerCount

          public static final int Network_GetLayerCount​(long jarg1,
                                                        Network jarg1_)

    - #### Network_GetLayerByIndex

          public static final long Network_GetLayerByIndex​(long jarg1,
                                                           Network jarg1_,
                                                           int jarg2)

    - #### Network_GetLayerByName

          public static final long Network_GetLayerByName​(long jarg1,
                                                          Network jarg1_,
                                                          java.lang.String jarg2)

    - #### Network_TestCapability

          public static final boolean Network_TestCapability​(long jarg1,
                                                             Network jarg1_,
                                                             java.lang.String jarg2)

    - #### Network_StartTransaction__SWIG_0

          public static final int Network_StartTransaction__SWIG_0​(long jarg1,
                                                                   Network jarg1_,
                                                                   int jarg2)

    - #### Network_StartTransaction__SWIG_1

          public static final int Network_StartTransaction__SWIG_1​(long jarg1,
                                                                   Network jarg1_)

    - #### Network_CommitTransaction

          public static final int Network_CommitTransaction​(long jarg1,
                                                            Network jarg1_)

    - #### Network_RollbackTransaction

          public static final int Network_RollbackTransaction​(long jarg1,
                                                              Network jarg1_)

    - #### delete_GenericNetwork

          public static final void delete_GenericNetwork​(long jarg1)

    - #### GenericNetwork_ConnectFeatures

          public static final int GenericNetwork_ConnectFeatures​(long jarg1,
                                                                 GenericNetwork jarg1_,
                                                                 long jarg2,
                                                                 long jarg3,
                                                                 long jarg4,
                                                                 double jarg5,
                                                                 double jarg6,
                                                                 int jarg7)

    - #### GenericNetwork_DisconnectFeatures

          public static final int GenericNetwork_DisconnectFeatures​(long jarg1,
                                                                    GenericNetwork jarg1_,
                                                                    long jarg2,
                                                                    long jarg3,
                                                                    long jarg4)

    - #### GenericNetwork_DisconnectFeaturesWithId

          public static final int GenericNetwork_DisconnectFeaturesWithId​(long jarg1,
                                                                          GenericNetwork jarg1_,
                                                                          long jarg2)

    - #### GenericNetwork_ReconnectFeatures

          public static final int GenericNetwork_ReconnectFeatures​(long jarg1,
                                                                   GenericNetwork jarg1_,
                                                                   long jarg2,
                                                                   long jarg3,
                                                                   long jarg4,
                                                                   double jarg5,
                                                                   double jarg6,
                                                                   int jarg7)

    - #### GenericNetwork_CreateRule

          public static final int GenericNetwork_CreateRule​(long jarg1,
                                                            GenericNetwork jarg1_,
                                                            java.lang.String jarg2)

    - #### GenericNetwork_DeleteAllRules

          public static final int GenericNetwork_DeleteAllRules​(long jarg1,
                                                                GenericNetwork jarg1_)

    - #### GenericNetwork_DeleteRule

          public static final int GenericNetwork_DeleteRule​(long jarg1,
                                                            GenericNetwork jarg1_,
                                                            java.lang.String jarg2)

    - #### GenericNetwork_GetRules

          public static final java.util.Vector GenericNetwork_GetRules​(long jarg1,
                                                                       GenericNetwork jarg1_)

    - #### GenericNetwork_ConnectPointsByLines

          public static final int GenericNetwork_ConnectPointsByLines​(long jarg1,
                                                                      GenericNetwork jarg1_,
                                                                      java.util.Vector jarg2,
                                                                      double jarg3,
                                                                      double jarg4,
                                                                      double jarg5,
                                                                      int jarg6)

    - #### GenericNetwork_ChangeBlockState

          public static final int GenericNetwork_ChangeBlockState​(long jarg1,
                                                                  GenericNetwork jarg1_,
                                                                  long jarg2,
                                                                  boolean jarg3)

    - #### GenericNetwork_ChangeAllBlockState__SWIG_0

          public static final int GenericNetwork_ChangeAllBlockState__SWIG_0​(long jarg1,
                                                                             GenericNetwork jarg1_,
                                                                             boolean jarg2)

    - #### GenericNetwork_ChangeAllBlockState__SWIG_1

          public static final int GenericNetwork_ChangeAllBlockState__SWIG_1​(long jarg1,
                                                                             GenericNetwork jarg1_)

    - #### TermProgressCallback_SWIGUpcast

          public static final long TermProgressCallback_SWIGUpcast​(long jarg1)

    - #### Network_SWIGUpcast

          public static final long Network_SWIGUpcast​(long jarg1)

    - #### GenericNetwork_SWIGUpcast

          public static final long GenericNetwork_SWIGUpcast​(long jarg1)